using System;
using System.Web;
using System.Collections;
using System.Web.Services;
using System.Web.Services.Protocols;
using AtlasControlToolkit;
using System.Data.SqlClient;
using System.Data;
using System.Collections.Generic;


/// <summary>
/// Summary description for MySimpleService
/// </summary>
[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
public class MySimpleService : System.Web.Services.WebService {

    public MySimpleService () {

        //Uncomment the following line if using designed components 
        //InitializeComponent(); 
    }

    [WebMethod]
    public string HelloWorld() {
        return "Hello World";
    }


    [WebMethod]

    public CascadingDropDownNameValue[] GetProductsByCategoryID(string knownCategoryValues, string category)
    {
        string connectionString = SqlConnectionString.GetConnectionString();        
        string[] categoryValues = knownCategoryValues.Split(':', ';');
        int categoryID = Convert.ToInt32(categoryValues[1]);

        SqlConnection myConnection = new SqlConnection(connectionString);
        SqlCommand myCommand = new SqlCommand("SELECT ProductID, ProductName FROM Products WHERE CategoryID = @CategoryID", myConnection);
        myCommand.Parameters.AddWithValue("@CategoryID", categoryID);

        SqlDataAdapter ad = new SqlDataAdapter(myCommand);
        DataSet ds = new DataSet();
        ad.Fill(ds);

        List<CascadingDropDownNameValue> cascadeCollection = new List<CascadingDropDownNameValue>();

        foreach (DataRow row in ds.Tables[0].Rows)
        {
            cascadeCollection.Add(new CascadingDropDownNameValue((string)row["ProductName"], row["ProductID"].ToString())); 

        }
        return cascadeCollection.ToArray(); 


    }
}

